package cs6601.p1.generator;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

import cs6601.p1.GameBoard;
import cs6601.p1.GameConfig;
import cs6601.p1.GameState;
import cs6601.p1.generator.MoveGenerator;

public class MinimaxTest {
	
	@Test
	public void testGenmove() {
		MoveGenerator moveGenerator = new MinimaxMoveGenerator();
		GameState gameState = new GameState(5);
		gameState.playStone('A', 2, GameBoard.BLACK_STONE);
		gameState.playStone('B', 1, GameBoard.BLACK_STONE);
		gameState.playStone('C', 2, GameBoard.BLACK_STONE);
		gameState.playStone('B', 4, GameBoard.BLACK_STONE);
		
		String move = moveGenerator.genMove(new GameConfig(), gameState, "w");
		System.out.println("Generated move: " + move);
		gameState.playStone("w", move);
		
		System.out.println(gameState);
		
		assertEquals(MoveGenerator.PASS,moveGenerator.genMove(new GameConfig(), gameState, "?"));
		
		System.out.println(gameState);
	}
}
